---
title: "Freelook cancellation request"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/freelookcancellation1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Freelook cancellation request

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/freelookcancellation`

Operation ID: `freelookcancellation1`

If freelook endDate is less than or equal to policy effective Date, cancel the policy based on the request

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required) - Policy Number

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Success
- `500` - Unexpected error occured, please check server logs

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/freelookcancellation:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Non Financial Transactions
      summary: Freelook cancellation request
      description: If freelook endDate is less than or equal to policy effective Date,
        cancel the policy based on the request
      operationId: freelookcancellation1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
          description: Policy Number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/FreeLookCancellationRequest"
      responses:
        "202":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "500":
          description: Unexpected error occured, please check server logs
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    FreeLookCancellationRequest:
      type: object
      allOf:
        - $ref: "#/components/schemas/FreeLookCancellation"
      properties:
        caseId:
          type: string
          example: CA0000007389
          description: Zinnia Live Case ID
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
    FreeLookCancellation:
      type: object
      properties:
        correlationId:
          type: string
          example: 657b717b7dcf554abf9ef067
          description: The unique ID to track transaction request across all systems
        effectiveDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          description: Date (with pattern "yyyy-mm-dd")
        transactionAmounts:
          type: object
          properties:
            disbursementType:
              $ref: "#/components/schemas/DisbursementType"
            disbursementPaymentForm:
              $ref: "#/components/schemas/DisbursementPaymentForm"
          required:
            - disbursementType
            - disbursementPaymentForm
        payeeOrBeneficiary:
          type: object
          properties:
            partyId:
              type: string
              description: Pending Review by Product Team
              example: Party_PI_1
            paymentForm:
              $ref: "#/components/schemas/PaymentForm"
            allocationPercentage:
              type: number
              format: double
              description: At Policy Level for Each Applicable Fund (Everly there is only one
                Fixed) Therefore this be 100%
              example: 100
            bankId:
              type: string
              example: Bank_1
              description: Comes in Acord 103
        parties:
          type: array
          items:
            $ref: "#/components/schemas/AdhocDisbursementParty"
        reverseInitiator:
          type: boolean
          description: Property to isolate source transaction(s) that initiated the reversal
      required:
        - effectiveDate
        - transactionAmounts
        - parties
    DisbursementType:
      type: string
      enum:
        - GROSS
        - NET
        - NETNET
      description: The type of amount for  withdrawal such as Gross or Net
    DisbursementPaymentForm:
      type: string
      enum:
        - DTCC
        - EFT
        - ACH
        - CHECK
        - WIRE
      description: The type of disbursement method such as DTCC,EFT or credit
        card.Default EFT.
    PaymentForm:
      type: string
      enum:
        - DTCC
        - CREDITCARD
        - ACH
        - CHECK
        - WIRE
        - EXCHANGE
        - EFT
      description: Mode of payment
    AdhocDisbursementParty:
      type: object
      properties:
        partyRole:
          $ref: "#/components/schemas/PartyRole"
        partyId:
          type: string
          description: Pending Review by Product Team
          example: Party_PI_1
        paymentForm:
          $ref: "#/components/schemas/PaymentForm"
        allocationPercentage:
          type: number
          format: double
          description: At Policy Level for Each Applicable Fund (Everly there is only one
            Fixed) Therefore this be 100%
          example: 100
        bankId:
          type: string
          example: Bank_1
          description: Comes in Acord 103
        addressId:
          type: string
          example: "1"
          description: Address Id
        forBenefitOfOrForFurtherCredit:
          type: string
          example: TBD
          description: FBO - For Benefit Of, FFC - For Further Credit. To notate a second
            beneficiary or to designate a person or organization when funds are
            disbursed out.
      required:
        - partyId
        - paymentForm
        - allocationPercentage
    PartyRole:
      type: string
      enum:
        - OWNER
        - PRIMARYBENEFICIARY
        - CONTINGENTBENEFICIARY
        - INSURED
        - PAYOR
        - PAYEE
        - AGENT
        - THIRDPARTYDESIGNEE
      description: Party Role
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
